<app-loader *ngIf="!data"></app-loader>

<div *ngIf="data" class="p-20">

	<section class="mb-20">
		<div class="breadcrumbs ">
			<a class="breadcrumbs__item"
				[routerLink]="['../../../', data?.id_campaign, 'achievement']">
				<!--<mat-icon svgIcon="arrow-left"></mat-icon>-->
				<span fxHide.md="true">
				      К списку индивидуальных достижений
				    </span>
			</a>

		</div>

		<div>
			<h3 fxFlex=""> Редактирование индивидуального достижения </h3>
			<button mat-stroked-button class="mr-8" color="primary" (click)="declineChanges()">
				Отменить
			</button>
			<button mat-flat-button color="primary" type="submit" (click)="saveChanges()"
				[disabled]="formData.pristine || formData.invalid">Сохранить
			</button>
		</div>

	</section>
	<form [formGroup]="formData" >
		<mat-card class="art-card">
			<mat-card-content *ngIf="!hasError && data; else errorBlock">
				<div fxLayout="row" fxLayout.lt-md="column">
					<mat-form-field appearance="fill" fxFlex="" >
						<mat-label>Приемная кампания</mat-label>
						<input matInput  [ngModel]="data.name_campaign" [ngModelOptions]="{standalone: true}" disabled>
					</mat-form-field>
				</div>

				<div fxLayout="row" fxLayout.lt-md="column">
					<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
						<mat-label>Категория</mat-label>
						<mat-select formControlName="id_category" required>
							<ngx-mat-select-search
								[(ngModel)]="cls.category.search" [ngModelOptions]="{standalone: true}"
								[placeholderLabel]="'Поиск'"
								[noEntriesFoundLabel]="'Данные не найдены'">
								<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
							</ngx-mat-select-search>
							<mat-option [value]="item.id" *ngFor="let item of cls.category.data | filter: cls.category.search ">
								{{item.name}}
							</mat-option>
						</mat-select>
					</mat-form-field>
				</div>


				<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="16px">
					<mat-form-field appearance="fill" fxFlex="50" fxFlex.lt-md="100">
						<mat-label>Наименование</mat-label>
						<input matInput formControlName="name" required>
					</mat-form-field>
					<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100">
						<mat-label>Идентификатор (UID)</mat-label>
						<input matInput formControlName="uid" appNullValue>
					</mat-form-field>

					<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100">
						<mat-label>Максимальный балл</mat-label>
						<input matInput appInteger formControlName="max_value" required>
					</mat-form-field>
				</div>
			</mat-card-content>
		</mat-card>

	</form>

	<ng-template #errorBlock>
		<span> При загрузке данных произошла ошибка </span>
	</ng-template>
</div>

